POST api/Account/PostAddress
Request Information
URI Parameters
None.
Body Parameters
AddressViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Country | string |
None. |
|
| StreetAddress | string |
None. |
|
| City | string |
None. |
|
| State | string |
None. |
|
| Zip | string |
None. |
|
| UserId | string |
None. |
|
| ContactName | string |
None. |
|
| Type | string |
None. |
|
| PhoneNumber | string |
None. |
|
| IsShipping | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"country": "sample string 2",
"streetAddress": "sample string 3",
"city": "sample string 4",
"state": "sample string 5",
"zip": "sample string 6",
"userId": "sample string 7",
"contactName": "sample string 8",
"type": "sample string 9",
"phoneNumber": "sample string 10",
"isShipping": true
}
application/xml, text/xml
Sample:
<AddressViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators"> <City>sample string 4</City> <ContactName>sample string 8</ContactName> <Country>sample string 2</Country> <Id>1</Id> <IsShipping>true</IsShipping> <PhoneNumber>sample string 10</PhoneNumber> <State>sample string 5</State> <StreetAddress>sample string 3</StreetAddress> <Type>sample string 9</Type> <UserId>sample string 7</UserId> <Zip>sample string 6</Zip> </AddressViewModel>
multipart/form-data
Sample:
<AddressViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators"><City>sample string 4</City><ContactName>sample string 8</ContactName><Country>sample string 2</Country><Id>1</Id><IsShipping>true</IsShipping><PhoneNumber>sample string 10</PhoneNumber><State>sample string 5</State><StreetAddress>sample string 3</StreetAddress><Type>sample string 9</Type><UserId>sample string 7</UserId><Zip>sample string 6</Zip></AddressViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, multipart/form-data
Sample:
Sample not available.